package PureMessage::Enduser::UI::Config::Validator;
use base qw(PureMessage::Config::Validator Exporter);

sub validate {
    my ($pkg, $p) = @_;
    $p->typedecl('RPC.host', '#str');
    $p->typedecl('RPC.port', '#int');
    $p->typedecl('RPC.authkey', '#str');
    $p->typedecl('RPC.proto', '#str');
    $p->typedecl('unavailable_banner','#str');
    $p->typedecl('RPC.timeout','#duration');
    $p->typedecl('debug_level','#int');
    $p->typedecl('backend','#str');
    $p->typedecl('skin','#str');
    $p->default('backend','rpc');
    $p->default('RPC.host', 'localhost');
    $p->default('RPC.port', '28080');
    $p->default('RPC.proto', 'HTTP');
    $p->default('RPC.timeout','1m');
    $p->default('unavailable_banner','This page is temporarily unavailable.');
    $p->default('debug_level',0);
    $p->default('skin','default');
    
    $pkg->include_sub_validators($p);
}


1;


